#
# spec file for package xdtm (Version 2.5.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86 xpm yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared yacc

Name:         xdtm
Copyright:    1991 Edward Groenendaal
Group:        X11/Utilities
Provides:     xdtm xdtm252 
Autoreqprov:  on
Version:      2.5.8
Release:      399
Summary:      The X Desktop Manager
Source: xdtm-2.5.8.tar.gz
Patch: xdtm-2.5.8.dif
Patch1: sf_warnings.dif

%description
The X Desktop Manager is a graphical shell for the X Window System,
it provides mechanisms for all the usual shell activities and is
intended to reduce the training necessary for UNIX novice to become
productive on your system.

Authors:
--------
    Edward Groenendaal
    Ramon J. Santiago <rjs@pencom.com>
    Lionel Mallet <Lionel.Mallet@sophia.inria.fr>

SuSE series: xap

%prep
%setup -n xdtm
%patch
%patch1
xmkmf -a 

%build
make

%install
make install
make install.man 
mkdir -p %{_defaultdocdir}/xdtm
cp -a README %{_defaultdocdir}/xdtm

%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%docdir %{_defaultdocdir}/xdtm
%{_defaultdocdir}/xdtm
%dir /usr/lib/xdtm
%dir /usr/lib/xdtm/icons
/usr/X11R6/bin/xdtm
/usr/X11R6/bin/xdtm.sh
%config /usr/X11R6/lib/X11/app-defaults/Xdtm
%doc /usr/X11R6/man/man1/xdtm.1x.gz
/usr/lib/xdtm/help
/usr/lib/xdtm/icons/alien.icon
/usr/lib/xdtm/icons/bat.icon
/usr/lib/xdtm/icons/bear.icon
/usr/lib/xdtm/icons/block.icon
/usr/lib/xdtm/icons/candle.icon
/usr/lib/xdtm/icons/ccode.icon
/usr/lib/xdtm/icons/character.icon
/usr/lib/xdtm/icons/clock.icon
/usr/lib/xdtm/icons/core.icon
/usr/lib/xdtm/icons/cup.icon
/usr/lib/xdtm/icons/dotdot.icon
/usr/lib/xdtm/icons/dragon.icon
/usr/lib/xdtm/icons/elisp.icon
/usr/lib/xdtm/icons/elispc.icon
/usr/lib/xdtm/icons/emacs.icon
/usr/lib/xdtm/icons/file.icon
/usr/lib/xdtm/icons/fish.icon
/usr/lib/xdtm/icons/flower.icon
/usr/lib/xdtm/icons/folder.icon
/usr/lib/xdtm/icons/ghost.icon
/usr/lib/xdtm/icons/gun.icon
/usr/lib/xdtm/icons/hat.icon
/usr/lib/xdtm/icons/hcode.icon
/usr/lib/xdtm/icons/hedgehog.icon
/usr/lib/xdtm/icons/icecream.icon
/usr/lib/xdtm/icons/icon.icon
/usr/lib/xdtm/icons/lcode.icon
/usr/lib/xdtm/icons/lib.icon
/usr/lib/xdtm/icons/make.icon
/usr/lib/xdtm/icons/makefile.icon
/usr/lib/xdtm/icons/manpage.icon
/usr/lib/xdtm/icons/mermaid.icon
/usr/lib/xdtm/icons/monster.icon
/usr/lib/xdtm/icons/ocode.icon
/usr/lib/xdtm/icons/piccy.icon
/usr/lib/xdtm/icons/prog.icon
/usr/lib/xdtm/icons/pss.icon
/usr/lib/xdtm/icons/slink.icon
/usr/lib/xdtm/icons/snail.icon
/usr/lib/xdtm/icons/socket.icon
/usr/lib/xdtm/icons/tag.icon
/usr/lib/xdtm/icons/text.icon
/usr/lib/xdtm/icons/tty.icon
/usr/lib/xdtm/icons/wordc.icon
/usr/lib/xdtm/icons/x.icon
/usr/lib/xdtm/icons/xdtm.icon
/usr/lib/xdtm/icons/ycode.icon
/usr/lib/xdtm/icons/z.icon
/usr/lib/xdtm/new_xdtm.xbm
/usr/lib/xdtm/perm.help
%config /usr/lib/xdtm/xdtmrc

%changelog -n xdtm
* Wed Jun 06 2001 - schwab@suse.de
- Fix declarations.
- Fix invalid use of NULL.
* Thu May 17 2001 - fehr@suse.de
- fix pointer-cast-warnings on 64bit archs
* Mon Nov 20 2000 - fehr@suse.de
- add group tag
* Mon May 22 2000 - fehr@suse.de
- move documentation to /usr/share/doc/packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Oct 08 1997 - fehr@suse.de
- prepare package for automatic building
